/* UtilLib - Copyright (c) 2009 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.request;

import java.io.InputStream;
import java.io.IOException;


/**
 *
 * @author Vincent Calame
 */
public interface FileValue {

    public String getName();

    public InputStream getInputStream() throws IOException;

    public void free();

    public long length();

}
